commit:     884bd9beac5cb74820fe65995843a3e3d74c814d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 13 14:57:27 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 13 15:01:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=884bd9be

dev-python/ipywidgets: Bump to 8.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ipywidgets/Manifest                |  1 +
 dev-python/ipywidgets/ipywidgets-8.1.1.ebuild | 42 +++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/ipywidgets/Manifest b/dev-python/ipywidgets/Manifest
index ad2e6c2ca61b..b50e9635e826 100644
--- a/dev-python/ipywidgets/Manifest
+++ b/dev-python/ipywidgets/Manifest
@@ -1 +1,2 @@
 DIST ipywidgets-8.1.0.tar.gz 116121 BLAKE2B 
dbe8f137294820c6e2da7aaa2ffa1a3b13da30888d70384a174bbc29f85e0e826968e4ccb719bf8ca5d3abce342b1e594a35e814e8b32ac52229ead36b9a068b
 SHA512 
39e3b20420e24eb119b584a9edc364d62573550edde41d0f881ff20649877b61aea80df31b95102e38953256b612ced28d9b5afb22a17cc04a3f258d79f43058
+DIST ipywidgets-8.1.1.tar.gz 116420 BLAKE2B 
9f138178dc213cac8d3c21a366f47c10675d8d74eb3e29f07c12b10c3a99281896f15afc4f609a4f9ad5f0eac5c60507b10cc98a01500d46150dd6ce36b15b3c
 SHA512 
287f4cb56fe08b1ca01c7f226d7c8a1471d33bb1c36053e705326356c82de8686d6d59be0b50c3016c6c168c743f37de366a5fdf5f8a00c9d0678773e8c1618e

diff --git a/dev-python/ipywidgets/ipywidgets-8.1.1.ebuild 
b/dev-python/ipywidgets/ipywidgets-8.1.1.ebuild
new file mode 100644
index 000000000000..dfb29d772533
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-8.1.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="
+       https://ipywidgets.readthedocs.io/
+       https://github.com/jupyter-widgets/ipywidgets/
+       https://pypi.org/project/ipywidgets/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-python/comm-0.1.3[${PYTHON_USEDEP}]
+       >=dev-python/ipython_genutils-0.2.0[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+       >=dev-python/widgetsnbextension-4.0.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # upstream hack to autoconfigure ipywidgets in jupyter
+       # we don't have jupyterlab_widgets packaged
+       sed -i -e '/jupyterlab_widgets/d' setup.cfg || die
+       distutils-r1_src_prepare
+}

Reply via email to